#### 7.10.2.15 crystallographicGroupP4

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP4(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p4 group with the following presentation
  < x, y, r | [x, y] = r^4 = 1, r^(-1)*x*r = x^(-1), r^(-1)*x*r = y > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP4(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=r*r*r*r+y*x+x*y
    ==> I[3]=r*r*r*r+1
    ==> I[4]=r*r*r*x*r+X
    ==> I[5]=r*r*r*x*r+y
    ==> I[6]=X*x+1
    ==> I[7]=x*X+1
    ==> I[8]=Y*y+1
    ==> I[9]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.